Bug 8117 - [UPDATE REQUEST 2016.1] gparted 0.30.0
: [UPDATE REQUEST 2016.1] gparted 0.30.0
Status: CONFIRMED
Product: Desktop Bugs
Classification: ROSA Desktop
Component: Main Packages
: Fresh
: All Linux
: Normal normal
: ---
Assigned To: ROSA Linux Bugs
: ROSA Linux Bugs
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2017-06-30 08:08 MSD by Алзим
Modified: 2017-12-26 17:46 MSK (History)
2 users (show)

See Also:
RPM Package:
ISO-related:
Bad POT generating:
Upstream:
vladimir.potapov: qa_verified-


Attachments
ss (1.94 MB, image/png)
2017-12-22 12:54 MSK, Vladimir Potapov
Details
Скриншот (40.34 KB, image/png)
2017-12-26 05:27 MSK, Алзим
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Алзим 2017-06-30 08:08:53 MSD
Обновился gparted.
Comment 1 Алзим 2017-06-30 08:10:18 MSD
gparted 0.28.1
https://abf.io/build_lists/2881108
https://abf.io/build_lists/2881109
Comment 2 Алзим 2017-08-10 03:26:38 MSD
gparted 0.29.0
https://abf.io/build_lists/2885876
https://abf.io/build_lists/2885877
Comment 3 Алзим 2017-09-10 23:05:20 MSD
Пересборка
https://abf.io/build_lists/2893333
https://abf.io/build_lists/2893334
Comment 4 Алзим 2017-10-04 19:29:32 MSD
Пересборка
https://abf.io/build_lists/2899128
https://abf.io/build_lists/2899129
Comment 5 Алзим 2017-10-30 21:42:08 MSK
Пересборка
https://abf.io/build_lists/2906978
https://abf.io/build_lists/2906979
Comment 6 Vladimir Potapov 2017-11-10 08:21:30 MSK
(In reply to comment #5)
> Пересборка
> https://abf.io/build_lists/2906978
> https://abf.io/build_lists/2906979

Please, update to 0.30. 
No distribution uses version 0.29
Comment 7 Алзим 2017-11-10 14:43:04 MSK
Updated to 0.30.0
https://abf.io/build_lists/2912184
https://abf.io/build_lists/2912185
Comment 8 Алзим 2017-12-05 16:03:14 MSK
Пересборка
https://abf.io/build_lists/2914358
https://abf.io/build_lists/2914359
Comment 9 Vladimir Potapov 2017-12-22 12:42:25 MSK
After the update, root password don't query on run.
Comment 10 Vladimir Potapov 2017-12-22 12:54:53 MSK
Created attachment 4780 [details]
ss

Exec gparted from menu...
Comment 11 Vladimir Potapov 2017-12-22 12:55:49 MSK
************************
QA Denied
Comment 12 Алзим 2017-12-25 13:21:18 MSK
(In reply to comment #10)
> Created attachment 4780 [details]
> ss
> 
> Exec gparted from menu...

Сейчас должно всё заработать
https://abf.io/build_lists/2916007
https://abf.io/build_lists/2916008
Comment 13 Vladimir Potapov 2017-12-25 19:28:23 MSK
(In reply to comment #12)
> (In reply to comment #10)
> > Created attachment 4780 [details]
> > ss
> > 
> > Exec gparted from menu...
> 
> Сейчас должно всё заработать
> https://abf.io/build_lists/2916007
> https://abf.io/build_lists/2916008

Раньше она спрашивала пароль root в русифицированном диалоге.
Теперь требует пароль пользователя в английском. Все ж таки регрессия, лучше для таких вещей оставить root
Comment 14 Алзим 2017-12-26 05:21:50 MSK
 GParted needs to run as root therefore it needs a graphical switch
   user program to allow normal users to run it.  Most desktops now use
   polkit as their preferred authorisation mechanism.  Therefore
   ./configure looks for polkit's pkexec as the first choice with
   fallbacks in order being: gksudo, gksu, kdesudo and finally xdg-su.
   Also polkit reads action files only from directory
   /usr/share/polkit-1/actions.  Therefore it is likely that a polkit
   action file will need to be installed into this directory.
Comment 15 Алзим 2017-12-26 05:27:06 MSK
Created attachment 4782 [details]
Скриншот

Необходимое уведомление не переведено частично. Это находиться в файле org.gnome.gparted.policy.in.in
Но если я переведу сделав патч, то тогда и англоязычные пользователи будут видеть эту часть уведомления на русском языке.
Comment 16 Vladimir Potapov 2017-12-26 06:03:32 MSK
(In reply to comment #15)
> Created attachment 4782 [details]
> Скриншот
> 
> Необходимое уведомление не переведено частично. Это находиться в файле
> org.gnome.gparted.policy.in.in
> Но если я переведу сделав патч, то тогда и англоязычные пользователи будут
> видеть эту часть уведомления на русском языке.
Все же главная регрессия в том, что требовало пароль рута, а теперь пользователя
Comment 17 Алзим 2017-12-26 06:43:10 MSK
С переводом
https://abf.io/build_lists/2916055
https://abf.io/build_lists/2916056
Comment 18 Vladimir Potapov 2017-12-26 17:46:34 MSK
Incorrect work for user without sudo rights
*******************************************
QA Denied